Gestiono
Referencia de APITasks / Board

Create Board

POST /v1/tasks/board • validated by `postBoard`

← Back to full API reference
POST/v1/tasks/boardAuthentication required
  • Validated by Zod schema: postBoard.

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • name (required)

    Type: string

  • divisionId (required)

    Type: number

  • description

    Type: string

  • type (required)

    Type: enum

    Example: custom

  • columns

    Type: array

    Example:

  • columns[] (required)

    Type: object

  • columns[].name (required)

    Type: string

  • columns[].maxTasks

    Type: number

  • columns[].systemState

    Type: string

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "name": "string",
  "divisionId": 1,
  "type": "custom"
}

Sample response

json
{
  "boardId": "<boardId>"
}

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

POST/v1/tasks/boardAuthentication required

Group: Tasks / Board

POST /v1/tasks/board • validated by `postBoard`

  • Validated by Zod schema: postBoard.

Body fields

  • namerequired
    Type: string
  • divisionIdrequired
    Type: number
  • description
    Type: string
  • typerequired
    Type: enum
    Ejemplo: custom
  • columns
    Type: array
    Ejemplo:
  • columns[]required
    Type: object
  • columns[].namerequired
    Type: string
  • columns[].maxTasks
    Type: number
  • columns[].systemState
    Type: string

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.